PUT/schedule/{scheduleId}/

Update Schedule

Update schedule

Implementation Notes

This API allows users to edit an existing schedule for running a shop at specific times. Users can define scheduling parameters, delivery mode, and execution settings.

PUT/schedule/{scheduleId}/

Parameter Details

NameInTypeRequiredDescription
scheduleIdpathintegerRequiredEnter your scheduleId
bodybodyobjectRequirednone
» shopIdbodyintegerOptionalUnique shop ID associated with the schedule.
» scheduleNamebodystringOptionalName of the schedule.
» shopTypebodyintegerOptionalThe type of shop.
» fetchTypebodyintegerOptionalLocation where results are stored.
» yearbodystringOptionalYears the schedule should run. "*" means all years.
» monthbodystringOptionalMonths the schedule should run. "*" means all months.
» dowbodystringOptionalDays of the week the schedule should run. "*" means all days.
» daybodystringOptionalDays of the month the schedule should run. "*" means all days.
» hourbodystringOptionalHours of the day the schedule should run. "*" means all hours.
» minutebodystringOptionalMinutes of the hour the schedule should run. "*" means all minutes.
» startDatebodystring(date)OptionalThe date when the schedule starts (YYYY-MM-DD).
» endDatebodystring(date)OptionalThe date when the schedule ends (YYYY-MM-DD).

Responses

StatusMeaningDescriptionSchema
200OKOK
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
403ForbiddenForbiddenNone
404Not FoundNot FoundNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X PUT https://api.events.example.com/api/v1/schedule/{scheduleId}/ \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "shopId": 0,
  "scheduleName": "",
  "shopType": 0,
  "fetchType": 0,
  "year": "*",
  "month": "*",
  "dow": "*",
  "day": "*",
  "hour": "*",
  "minute": "*",
  "startDate": "2019-08-24",
  "endDate": "2019-08-24"
}

Example responses

200 Response
{
  "message": "Schedule updated successfully.",
  "scheduleId": 67
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.